.cta-gift-card__content-wrapper {
  display: flex;
  flex-direction: row-reverse;
  gap: 40px;
  align-items: center;
  justify-content: center;
  max-width: 1100px;
  min-height: 380px;
  margin: 0 auto;
  background: #E5EFEE;
  border-radius: 20px;
}

.cta-gift-card__text-content {
  position: relative;
  flex: 0 0 450px;
}

.cta-gift-card__text-content:before {
  position: absolute;
  bottom: 100%;
  left: 100%;
  width: 140px;
  height: 72px;
  content: '';
  background: url(../img/home-hire.svg) center / cover no-repeat;
}

.cta-gift-card__title {
  margin: 0 0 12px;
  font-family: HarlowDuoSerifPlain, serif;
  font-size: 40px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%; /* 56px */
  color: var(--Primary-teal);
}

.cta-gift-card__subtitle {
  margin: 0;
  font-family: Montserrat, sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 162%; /* 25.92px */
  color: var(--Neutral-0);
}

.cta-gift-card__btn-wrap {
  margin-top: 24px;
}

.cta-gift-card__btn-wrap .btn {
  min-width: 212px;
}

.cta-gift-card__media-content {
  flex: 0 0 28%;
}

.cta-gift-card__media-image-wrapper picture,
.cta-gift-card__media-image {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

@media screen and (max-width: 1360px) {
  .cta-gift-card__title {
    font-size: clamp(28px, 19.6px + 1.5vw, 40px);
  }

  .cta-gift-card__subtitle {
    font-size: clamp(12px, 9.2px + 0.5vw, 16px);
  }
}

@media screen and (max-width: 768px) {
  .cta-gift-card__content-wrapper {
    flex-direction: column;
    padding: 32px 10px;
    overflow: hidden;
  }

  .cta-gift-card__text-content {
    flex: 1 1 auto;
  }

  .cta-gift-card__text-content:before {
    top: -50px;
    bottom: initial;
    left: -36px;
  }

  .cta-gift-card__title,
  .cta-gift-card__subtitle {
    text-align: center;
  }

  .cta-gift-card__btn-wrap {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .cta-gift-card__media-content {
    flex: 1 1 auto;
  }

  .cta-gift-card__media-image-wrapper {
    max-width: 350px;
    height: auto;
  }
}

@media screen and (max-width: 560px) {
  .cta-gift-card__title {
    max-width: 295px;
    margin: 0 auto 8px;
    font-size: 28px;
  }

  .cta-gift-card__subtitle {
    font-size: 12px;
    line-height: 150%;
  }

  .cta-gift-card__btn-wrap {
    margin-top: 16px;
  }
}

@media screen and (max-width:480px) {
  .cta-gift-card__media-image-wrapper {
    max-width: 240px;
  }
}
